// C-R circuit – voltage and current during discharge
// SCILAB source file: ex2304.sce
//
// Clear any previous graphic window
clf();
//
txt = ['Input resistance (R) in kohm';'Input capacitance (C) in uF';'Supply voltage in V';'Time in s'];
var = x_mdialog('Enter resistance and capacitance',txt,['100';'100';'100';'1']);
r = evstr(var(1));
c = evstr(var(2));
vm = evstr(var(3));
t = evstr(var(4));
c = 1E-6*c; 
r = 1E+3*r;
//
vc = vm*%e^(-t/(c*r));
vr = vc;
i = vr/r;
i = i*1E+3;
// Display results
messagebox(["Capacitor voltage = " + string(vc) + " V" "Current = " + string(i) + " mA"]);

